Get Skills
curl --request POST \
--url https://api.example.com/api/skills \
--header 'Content-Type: application/json' \
--data '
{
"load_public": true,
"load_user": true,
"load_project": true,
"load_org": true,
"project_dir": "<string>",
"org_config": {
"repository": "<string>",
"provider": "<string>",
"org_repo_url": "<string>",
"org_name": "<string>"
},
"sandbox_config": {
"exposed_urls": [
{
"name": "<string>",
"url": "<string>",
"port": 123
}
]
}
}
'import requests
url = "https://api.example.com/api/skills"
payload = {
"load_public": True,
"load_user": True,
"load_project": True,
"load_org": True,
"project_dir": "<string>",
"org_config": {
"repository": "<string>",
"provider": "<string>",
"org_repo_url": "<string>",
"org_name": "<string>"
},
"sandbox_config": { "exposed_urls": [
{
"name": "<string>",
"url": "<string>",
"port": 123
}
] }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
load_public: true,
load_user: true,
load_project: true,
load_org: true,
project_dir: '<string>',
org_config: {
repository: '<string>',
provider: '<string>',
org_repo_url: '<string>',
org_name: '<string>'
},
sandbox_config: {exposed_urls: [{name: '<string>', url: '<string>', port: 123}]}
})
};
fetch('https://api.example.com/api/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skills": [
{
"name": "<string>",
"content": "<string>",
"triggers": [
"<string>"
],
"source": "<string>",
"description": "<string>",
"is_agentskills_format": false
}
],
"sources": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Skills
Get Skills
Load and merge skills from all configured sources.
Skills are loaded from multiple sources and merged with the following precedence (later overrides earlier for duplicate names):
- Sandbox skills (lowest) - Exposed URLs from sandbox
- Public skills - From GitHub OpenHands/skills repository
- User skills - From ~/.openhands/skills/
- Organization skills - From /.openhands or equivalent
- Project skills (highest) - From /.openhands/skills/
Args: request: SkillsRequest containing configuration for which sources to load.
Returns: SkillsResponse containing merged skills and source counts.
POST
/
api
/
skills
Get Skills
Body
application/json
Request body for loading skills.
Load public skills from OpenHands/skills repo
Load user skills from ~/.openhands/skills/
Load project skills from workspace
Load organization-level skills
Workspace directory path for project skills
Organization skills configuration
Show child attributes
Show child attributes
Sandbox skills configuration
Show child attributes
Show child attributes
Was this page helpful?
⌘I

